--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Destructively and non-recursively convert each key to an uppercase string, deleting nil values along the way.
- !ruby/struct:SM::Flow::P 
  body: "@return &lt;Hash&gt; The newly environmentized hash."
- !ruby/struct:SM::Flow::P 
  body: "@example"
- !ruby/struct:SM::Flow::VERB 
  body: "  { :name =&gt; &quot;Bob&quot;, :contact =&gt; { :email =&gt; &quot;bob@bob.com&quot; } }.environmentize_keys!\n    #=&gt; { &quot;NAME&quot; =&gt; &quot;Bob&quot;, &quot;CONTACT&quot; =&gt; { :email =&gt; &quot;bob@bob.com&quot; } }\n"
full_name: Hash#environmentize_keys!
is_singleton: false
name: environmentize_keys!
params: ()
visibility: public
